MSIX Packages - Create Or Update
Create or update a MSIX package.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/hostPools/{hostPoolName}/msixPackages/{msixPackageFullName}?api-version=2025-10-10
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
host
|
path | True |
string minLength: 3maxLength: 64 pattern: ^[A-Za-z0-9@.\-_ ]*$ |
The name of the host pool within the specified resource group |
|
msix
|
path | True |
string minLength: 3maxLength: 100 pattern: ^[A-Za-z0-9@.\-_ ]*$ |
The version specific package full name of the MSIX package within specified hostpool |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| properties.displayName |
string |
User friendly Name to be displayed in the portal. |
| properties.imagePath |
string |
VHD/CIM image path on Network Share. |
| properties.isActive |
boolean |
Make this version of the package the active one across the hostpool. |
| properties.isRegularRegistration |
boolean |
Specifies how to register Package in feed. |
| properties.lastUpdated |
string (date-time) |
Date Package was last updated, found in the appxmanifest.xml. |
| properties.packageApplications |
List of package applications. |
|
| properties.packageDependencies |
List of package dependencies. |
|
| properties.packageFamilyName |
string |
Package Family Name from appxmanifest.xml. Contains Package Name and Publisher name. |
| properties.packageName |
string |
Package Name from appxmanifest.xml. |
| properties.packageRelativePath |
string |
Relative Path to the package inside the image. |
| properties.version |
string |
Package version found in the appxmanifest.xml. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully updated MSIX Package. |
|
| 201 Created |
Successfully created MSIX Package. |
|
| Other Status Codes |
Automation error response describing why the operation failed. |
Examples
MSIXPackage_Create
Sample request
PUT https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostpool1/msixPackages/msixpackagefullname?api-version=2025-10-10
{
"properties": {
"displayName": "displayname",
"imagePath": "imagepath",
"isActive": false,
"isRegularRegistration": false,
"lastUpdated": "2008-09-22T14:01:54.9571247Z",
"packageApplications": [
{
"description": "application-desc",
"appId": "ApplicationId",
"appUserModelID": "AppUserModelId",
"friendlyName": "friendlyname",
"iconImageName": "Apptile",
"rawIcon": "VGhpcyBpcyBhIHN0cmluZyB0byBoYXNo",
"rawPng": "VGhpcyBpcyBhIHN0cmluZyB0byBoYXNo"
}
],
"packageDependencies": [
{
"dependencyName": "MsixTest_Dependency_Name",
"minVersion": "version",
"publisher": "PublishedName"
}
],
"packageFamilyName": "MsixPackage_FamilyName",
"packageName": "MsixPackage_name",
"packageRelativePath": "packagerelativepath",
"version": "version"
}
}
Sample response
{
"name": "hostpool1/MsixPackageFullName",
"id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourcegroups/resourcegroup1/providers/Microsoft.DesktopVirtualization/hostpools/hostpool1/msixpackages/msixPackageFullName",
"type": "Microsoft.DesktopVirtualization/hostpools/msixpackages",
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"properties": {
"imagePath": "imagepath",
"packageName": "MsixPackage_Name",
"packageFamilyName": "MsixPackage_FamilyName",
"displayName": "dis",
"packageRelativePath": "MsixPackage_RelativePackageRoot",
"isRegularRegistration": false,
"isActive": false,
"packageDependencies": [
{
"dependencyName": "MsixPackage_Dependency_Name",
"publisher": "MsixPackage_Dependency_Publisher",
"minVersion": "packageDep_version"
}
],
"version": "version",
"lastUpdated": "2008-09-22T14:01:54.9571247Z",
"packageApplications": [
{
"appId": "Application_Id",
"description": "desc",
"appUserModelID": "Application_ModelID",
"friendlyName": "fri",
"iconImageName": "Apptile",
"rawIcon": "VGhpcyBpcyBhIHN0cmluZyB0byBoYXNo",
"rawPng": "VGhpcyBpcyBhIHN0cmluZyB0byBoYXNo"
}
]
}
}
{
"name": "hostpool1/MsixPackageFullName",
"id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourcegroups/resourcegroup1/providers/Microsoft.DesktopVirtualization/hostpools/hostpool1/msixpackages/msixPackageFullName",
"type": "Microsoft.DesktopVirtualization/hostpools/msixpackages",
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"properties": {
"imagePath": "imagepath",
"packageName": "MsixPackage_Name",
"packageFamilyName": "MsixPackage_FamilyName",
"displayName": "dis",
"packageRelativePath": "MsixPackage_RelativePackageRoot",
"isRegularRegistration": false,
"isActive": true,
"packageDependencies": [
{
"dependencyName": "MsixPackage_Dependency_Name",
"publisher": "MsixPackage_Dependency_Publisher",
"minVersion": "packageDep_version"
}
],
"version": "version",
"lastUpdated": "2008-09-22T14:01:54.9571247Z",
"packageApplications": [
{
"appId": "Application_Id",
"description": "desc",
"appUserModelID": "Application_ModelID",
"friendlyName": "fri",
"iconImageName": "Apptile",
"rawIcon": "VGhpcyBpcyBhIHN0cmluZyB0byBoYXNo",
"rawPng": "VGhpcyBpcyBhIHN0cmluZyB0byBoYXNo"
}
]
}
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
Cloud error object. |
|
Cloud |
Cloud error object properties. |
|
created |
The type of identity that created the resource. |
| MSIXPackage |
Schema for MSIX Package properties. |
|
Msix |
Schema for MSIX Package Application properties. |
|
Msix |
Schema for MSIX Package Dependencies properties. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
CloudError
Cloud error object.
| Name | Type | Description |
|---|---|---|
| error |
Cloud error object properties. |
CloudErrorProperties
Cloud error object properties.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| message |
string |
Error message indicating why the operation failed. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
MSIXPackage
Schema for MSIX Package properties.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.displayName |
string |
User friendly Name to be displayed in the portal. |
| properties.imagePath |
string |
VHD/CIM image path on Network Share. |
| properties.isActive |
boolean |
Make this version of the package the active one across the hostpool. |
| properties.isRegularRegistration |
boolean |
Specifies how to register Package in feed. |
| properties.lastUpdated |
string (date-time) |
Date Package was last updated, found in the appxmanifest.xml. |
| properties.packageApplications |
List of package applications. |
|
| properties.packageDependencies |
List of package dependencies. |
|
| properties.packageFamilyName |
string |
Package Family Name from appxmanifest.xml. Contains Package Name and Publisher name. |
| properties.packageName |
string |
Package Name from appxmanifest.xml. |
| properties.packageRelativePath |
string |
Relative Path to the package inside the image. |
| properties.version |
string |
Package version found in the appxmanifest.xml. |
| systemData |
Metadata pertaining to creation and last modification of the resource. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
MsixPackageApplications
Schema for MSIX Package Application properties.
| Name | Type | Description |
|---|---|---|
| appId |
string |
Package Application Id, found in appxmanifest.xml. |
| appUserModelID |
string |
Used to activate Package Application. Consists of Package Name and ApplicationID. Found in appxmanifest.xml. |
| description |
string |
Description of Package Application. |
| friendlyName |
string |
User friendly name. |
| iconImageName |
string |
User friendly name. |
| rawIcon |
string (byte) |
the icon a 64 bit string as a byte array. |
| rawPng |
string (byte) |
the icon a 64 bit string as a byte array. |
MsixPackageDependencies
Schema for MSIX Package Dependencies properties.
| Name | Type | Description |
|---|---|---|
| dependencyName |
string |
Name of package dependency. |
| minVersion |
string |
Dependency version required. |
| publisher |
string |
Name of dependency publisher. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |